Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingConcatenate

Create a new mapping that concatenates a list of mappings

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingConcatenate(MPI_Comm comm, PetscInt n, const ISLocalToGlobalMapping ltogs[], ISLocalToGlobalMapping *ltogcat)

Not Collective

## Input Parameters

- comm - communicator for the new mapping, must contain the communicator of every mapping to concatenate

- n - number of mappings to concatenate

- ltogs - local to global mappings

## Output Parameter

- ltogcat - new mapping

## Note

This currently always returns a mapping with block size of 1

## Developer Notes

If all the input mapping have the same block size we could easily handle that as a special case

## See Also

Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingCreate()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages